hledger-1.32.3: Command-line interface for the hledger accounting system

Safe Haskell | Safe-Inferred
Language | Haskell2010

Hledger.Cli.Commands.Print

Description

A ledger-compatible `print` command.

Synopsis

- printmode :: Mode RawOpts
- print' :: CliOpts -> Journal -> IO ()
- transactionWithMostlyOriginalPostings :: Transaction -> Transaction

# Documentation

printmode :: Mode RawOpts Source #

print' :: CliOpts -> Journal -> IO () Source #

Print journal transactions in standard format.

transactionWithMostlyOriginalPostings :: Transaction -> Transaction Source #

Replace this transaction's postings with the original postings if any, but keep the current possibly rewritten account names, and the inferred values of any auto postings. This is mainly for showing transactions with the amounts in their original journal format.